org.apache.maven.scm.provider.svn.svnexe.command.branch

## Class SvnBranchCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.branch.AbstractBranchCommand
    - - org.apache.maven.scm.provider.svn.svnexe.command.branch.SvnBranchCommand

All Implemented Interfaces:
  Command, SvnCommand

    public class SvnBranchCommand
    extends AbstractBranchCommand
    implements SvnCommand

Author:
  Emmanuel Venisse, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SvnBranchCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(SvnScmProviderRepository repository, File workingDirectory, String branch, File messageFile)`
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(SvnScmProviderRepository repository, File workingDirectory, String branch, File messageFile, ScmBranchParameters scmBranchParameters)`
`ScmResult` `executeBranchCommand(ScmProviderRepository repo, ScmFileSet fileSet, String branch, ScmBranchParameters scmBranchParameters)` default impl to provide backward comp
`ScmResult` `executeBranchCommand(ScmProviderRepository repo, ScmFileSet fileSet, String branch, String message)`

### Methods inherited from class org.apache.maven.scm.command.branch.AbstractBranchCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### SvnBranchCommand

    public SvnBranchCommand()

### Method Detail

#### executeBranchCommand

    public ScmResult executeBranchCommand(ScmProviderRepository repo,
                                          ScmFileSet fileSet,
                                          String branch,
                                          ScmBranchParameters scmBranchParameters)
                                   throws ScmException

Description copied from class: `AbstractBranchCommand`
default impl to provide backward comp

Overrides:
  `executeBranchCommand` in class `AbstractBranchCommand`
Returns:
Throws:
  `ScmException`

#### executeBranchCommand

    public ScmResult executeBranchCommand(ScmProviderRepository repo,
                                          ScmFileSet fileSet,
                                          String branch,
                                          String message)
                                   throws ScmException

Specified by:
  `executeBranchCommand` in class `AbstractBranchCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(SvnScmProviderRepository repository,
                                                                             File workingDirectory,
                                                                             String branch,
                                                                             File messageFile)

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(SvnScmProviderRepository repository,
                                                                             File workingDirectory,
                                                                             String branch,
                                                                             File messageFile,
                                                                             ScmBranchParameters scmBranchParameters)